aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/disk-image-builder/centos/build-listmaker.sh
diff options
context:
space:
mode:
authorThomas F Herbert <therbert@redhat.com>2018-03-11 19:01:09 -0400
committerPeter Mikus <pmikus@cisco.com>2018-04-04 14:38:50 +0000
commitfc11dba19e92609e0631c567ac25756f0c3697df (patch)
treee7943ca95e68c34c9efdd57ae28e092b15c9b206 /resources/tools/disk-image-builder/centos/build-listmaker.sh
parentfc7a9563a6d23aaaace589606e431fad409b1ab9 (diff)
Update to Centos image 7.4-1711
Add qemu-ev version 2.9.0-16 Changes required for vpp 18.04: Add selinux policy rpms at required version. Add mbedtls JIRA: CSIT-566 JIRA: CSIT-680 JIRA: CSIT-681 JIRA: CSIT-602 JIRA: CSIT-608 JIRA: CSIT-603 Update Centos image version 1.8: Point to Vault repo specific to for 7.3-1611 for consistent control of package versions and releases. Fix for pypcap import problem. JIRA: CSIT-991 This fix forces the downloads of the complete package for all the pip python packages to be installed on Centos regardless of the Python metadata on the host. Change-Id: Id651dd113eec41db738ac1e10c92d1074e89b1de Signed-off-by: Thomas F Herbert <therbert@redhat.com>
Diffstat (limited to 'resources/tools/disk-image-builder/centos/build-listmaker.sh')
-rwxr-xr-xresources/tools/disk-image-builder/centos/build-listmaker.sh17
1 files changed, 11 insertions, 6 deletions
diff --git a/resources/tools/disk-image-builder/centos/build-listmaker.sh b/resources/tools/disk-image-builder/centos/build-listmaker.sh
index 52aaff0b3c..6aa5493a58 100755
--- a/resources/tools/disk-image-builder/centos/build-listmaker.sh
+++ b/resources/tools/disk-image-builder/centos/build-listmaker.sh
@@ -23,13 +23,18 @@ OUT_DIR="${BUILD_DIR}/output/listmaker"
if [ "$1" = "centos-7-1511" ]; then
RELEASE_NAME="csit-centos-7-1511-listmaker"
PACKER_TEMPLATE="listmaker/centos-7-1511.json"
-elif [ "$1" = "centos-7.3-1611" ]; then
- RELEASE_NAME="csit-centos-7.3-1611-listmaker"
- PACKER_TEMPLATE="listmaker/centos-7.3-1611.json"
else
- echo "Please provide OS as parameter:"
- echo "Options: ${0} [centos-7-1511|centos-7.3-1611]"
- exit 1
+ if [ "$1" = "centos-7.3-1611" ]; then
+ RELEASE_NAME="csit-centos-7.3-1611-listmaker"
+ PACKER_TEMPLATE="listmaker/centos-7.3-1611.json"
+ elif [ "$1" = "centos-7.4-1711" ]; then
+ RELEASE_NAME="csit-centos-7.4-1711-listmaker"
+ PACKER_TEMPLATE="listmaker/centos-7.4-1711.json"
+ else
+ echo "Please provide OS as parameter:"
+ echo "Options: ${0} [centos-7-1511|centos-7.3-1611|centos-7.4-1711]"
+ exit 1
+ fi
fi
VIRL_IMAGE_SUBTYPE=server